## org.apache.poi.ss.formula.udf
Class DefaultUDFFinder

    java.lang.Object
      org.apache.poi.ss.formula.udf.DefaultUDFFinder

All Implemented Interfaces:
  UDFFinder

    public final class DefaultUDFFinder

extends java.lang.Object
implements UDFFinder

Default UDF finder - for adding your own user defined functions.

Author:
  PUdalau

Field Summary

Fields inherited from interface org.apache.poi.ss.formula.udf.UDFFinder
`DEFAULT`

Constructor Summary
`DefaultUDFFinder(java.lang.String[] functionNames, FreeRefFunction[] functionImpls)`

Method Summary
`FreeRefFunction` `findFunction(java.lang.String name)` Returns executor by specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUDFFinder

    public DefaultUDFFinder(java.lang.String[] functionNames,
                            FreeRefFunction[] functionImpls)

Method Detail

### findFunction

    public FreeRefFunction findFunction(java.lang.String name)

  Description copied from interface: `UDFFinder`
  Returns executor by specified name. Returns `null` if the function name is unknown.

  Specified by:
    `findFunction` in interface `UDFFinder`
  Parameters:
    `name` - Name of function.
  Returns:
    Function executor.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.